Subject: AW: [Sipping] Use of the REFER in draft-shacham-sipping-session-m obility-01

From: "Alexeitsev, D" <[email-masked]>
Date: Fri, 17 Feb 2006 10:34:28 +0100

Hello Ron

Thanks for the comments

> Refer-To:<sip:[email-masked];method=REFER
>              ?Refer-To="<sip:[email-masked];audio;
>                      video?Replaces=[email-masked];
>                      to-tag=aaa;from-tag=bbb%22>">

>The Replaces header is associated with the INVITE since it is included in
>the Refer-To URI.

I do understand and support the wanted semantics, but I have not seen the syntax being described anywhere previously. Is there something I have missed or is your draft the fist one that uses it that way?

Greetings,
Denis 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Ron Shacham <[email-masked]>
Date: Fri, 17 Feb 2006 10:29:32 -0500 (EST)

> I do understand and support the wanted semantics, but I have not seen the syntax being described anywhere previously. Is there something I have missed or is your draft the fist one that uses it tha…

In RFC 3892, Section 7.4, there is an example of the Refer-To header of 
the first REFER is a URI with method=REFER and Refer-To header (a nested 
REFER).  I would think that the inner Refer-To header should allow any 
valid URI, including parameters and headers.